Name:		mma
Summary:	Musical MIDI Accompaniment
Version:	21.09
Release:	%mkrel 2
License:	GPLv2+
Group:		Sound/Midi
Url:		https://www.mellowood.ca/mma/
Source0:	https://www.mellowood.ca/%{name}/%{name}-bin-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
Requires:	python3-devel

%description
Musical MIDI Accompaniment is an accompaniment generator -- it creates midi
tracks for a soloist to perform over from a user supplied file containing
chords and MMA directives. Is is very versatile and generates excellent
tracks. It comes with an extensive user-extendable library with a variety of
patterns for various popular rhythms, an extensive user manual, and several
demo songs. MMA is a command line driven program. It creates MIDI files which
need a sequencer or MIDI file play program.

%prep
%setup -qn %{name}-bin-%{version}
for file in `grep -r '#!/usr/bin/python'|cut -d ":" --fields=1`
do
  sed -i 's|#!/usr/bin/python|#!/usr/bin/python3|g' $file
done

for file in `grep -r '#!/usr/bin/env python'|cut -d ":" --fields=1`
do
  sed -i 's|#!/usr/bin/env python|#!/usr/bin/python3|g' $file
done



# python shebangs
%{py3_shebang_fix} .

%build
# Nothing to do

%install
install -Dm 755 %{name}.py %{buildroot}%{_bindir}/%{name}
install -Dm 755 %{name}-gb %{buildroot}%{_bindir}/%{name}-gb
install -Dm 755 %{name}-libdoc %{buildroot}%{_bindir}/%{name}-libdoc
install -Dm 755 %{name}-renum %{buildroot}%{_bindir}/%{name}-renum
install -Dm 755 %{name}-splitrec %{buildroot}%{_bindir}/%{name}-splitrec
install -Dm 755 util/%{name}-mnx.py %{buildroot}%{_bindir}/%{name}-mnx
install -Dm 755 util/%{name}-rm2std.py %{buildroot}%{_bindir}/%{name}-rm2std
install -Dm 755 util/%{name}-splitrec.py %{buildroot}%{_bindir}/%{name}-splitrec
install -Dm 755 util/mup2%{name}.py %{buildroot}%{_bindir}/mup2%{name}
install -Dm 755 util/pg2%{name}.py %{buildroot}%{_bindir}/pg2%{name}
install -Dm 755 util/synthsplit.py %{buildroot}%{_bindir}/synthsplit
install -d m 755 %{buildroot}%{_datadir}/%{name}
install -d m 755 %{buildroot}%{_mandir}/man1
install -d m 755 %{buildroot}%{_mandir}/man8
cp -a lib includes MMA %{buildroot}%{_datadir}/%{name}
install -Dm 644 docs/man/*.1 %{buildroot}%{_mandir}/man1/
install -Dm 644 docs/man/*.8 %{buildroot}%{_mandir}/man8/

%post
%{name} -G

%files
%doc text/A* text/C* text/ENCODINGS text/F* text/R* text/S* text/T*
%doc egs util/README.* text/archive
%{_bindir}/%{name}*
%{_bindir}/mup2%{name}
%{_bindir}/pg2%{name}
%{_bindir}/synthsplit
%{_datadir}/%{name}
%{_mandir}/man?/*


%changelog
* Mon Jan 01 2024 papoteur <papoteur> 21.09-2.mga10
+ Revision: 2025556
- fix using %%py3_shebang_fix macro
- rebuild for python 3.12

* Thu Sep 08 2022 neoclust <neoclust> 21.09-1.mga9
+ Revision: 1886063
- New version 21.09

* Mon Mar 21 2022 umeabot <umeabot> 19.08-3.mga9
+ Revision: 1812381
- Mageia 9 Mass Rebuild

* Fri Feb 21 2020 umeabot <umeabot> 19.08-2.mga8
+ Revision: 1547909
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 daviddavid <daviddavid> 19.08-1.mga8
+ Revision: 1488692
- new version: 19.08
- port to python3

* Mon Jun 10 2019 alexl <alexl> 16.06-1.mga8
+ Revision: 1399741
- imported package mma

